%define	name	cdrdao
%define	version	1.1.8
%define rel	2.2.100
%define build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}

%if %build_plf
%define release %{rel}plf
%else
%define release %{rel}mdk
%endif

Summary:	Cdrdao - Write audio CD-Rs in disk-at-once mode
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Archiving/Cd burning
URL:		http://cdrdao.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
Source1:	gcdmaster-16x16.png
Source2:	gcdmaster-32x32.png
Source3:	gcdmaster-48x48.png
Patch:		cdrdao-20020525-gcc31.patch.bz2
Patch1:		cdrdao-1.1.8-kernel-includes.patch.bz2
Patch2:		cdrdao-c++fixes.patch.bz2
Patch3:		cdrdao-1.1.8-security.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cdrecord-devel

%description
Writes audio CD-Rs in disc-at-once (DAO) mode allowing
control over pre-gaps (length down to 0, nonzero audio
data) and sub-channel information like ISRC codes. All
data that is written to the disc must be specified with
a text file. Audio data may be in WAVE or raw format.

%package        gcdmaster
Summary:        Graphical front end to cdrdao for composing audio CDs.
Group:          Archiving/Cd burning
Obsoletes:      cdrdao-xdao, cdrdao-xcdrdao
BuildRequires:  libgnomeuimm-devel
Provides:	cdrdao-xdao, cdrdao-xcdrdao

%description    gcdmaster
gcdmaster allows the creation of toc-files for cdrdao and
can control the recording process. Its main application is
the composition of audio CDs from one or more audio files.
It supports PQ-channel editing, entry of meta data like
ISRC codes/CD-TEXT and non destructive cut of the audio data.

%if %build_plf
%package toc2mp3
Summary:        Command line mp3 encoder front end to cdrdao
Group:          Sound
BuildRequires:  liblame-devel

%description toc2mp3
This is a command line mp3 encoder that converts audio CD disc images
(toc files) to mp3 files. Special care is taken that the mp3 files can
be played in sequence without having unwanted noise at the transition
points. CD-TEXT information (if available) is used to set ID3 (v2)
tags and to construct the name of the mp3 files.
%endif

%prep
%setup -q
%patch
%patch1 -p1
%patch2 -p1 -b .c++fixes
%patch3 -p1 -b .sec

%build
export CXXFLAGS="%optflags -DENABLE_NLS"
%configure2_5x --disable-gtkmmtest
ln -s i386-linux-cc.rul scsilib/RULES/x86_64-linux-cc.rul
%make

%install

%makeinstall

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%name-gcdmaster <<EOF
?package(cdrdao-gcdmaster): command="%{_bindir}/gcdmaster" needs="X11" \
icon="gcdmaster.png" section="Applications/Archiving/Cd burning" \
title="Gcdmaster" longtitle="Graphical front end to cdrdao for composing audio CDs"
EOF
  
# icon
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_iconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_miconsdir}/gcdmaster.png
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/gcdmaster.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_liconsdir}/gcdmaster.png
 
%post gcdmaster
%{update_menus}

%postun gcdmaster
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.PlexDAE
%doc %{_mandir}/man1/*
%attr(6755,root,cdwriter) %{_bindir}/cdrdao
%{_bindir}/toc2cue
%{_bindir}/cue2toc

%files	gcdmaster
%defattr(-,root,root)
%{_bindir}/gcdmaster
%{_menudir}/*
%{_iconsdir}/*

%if %build_plf
%files toc2mp3
%defattr(-,root,root)
%{_bindir}/toc2mp3
%endif

%changelog
* Tue May 17 2005 Vincent Danen <vdanen@mandriva.com> 1.1.8-2.2.100mdk
- P3: security fixes backported from 1.2.0

* Tue Apr  6 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.8-2.1mdk
- C++ fixes

* Wed Mar 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.8-2mdk
- patch1: don't add kernel includes
- add subpackage for toc2mp3
- real 1.1.8 final

* Fri Mar 12 2004 Warly <warly@mandrakesoft.com> 1.1.8-1mdk
- 1.1.8 final
- add buildrequires cdrecord-devel

* Sun Jan 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1.8-0.pre2.0.20040106.1mdk
- set suid bit on the cdrdao executable
- add toc2cddb
- new cvs snapshot

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.7-3mdk
- amd64 support

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1.7-2mdk
- use the right macros
- fix buildrequires

* Sun Oct 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.7-1mdk
- add toc2cue
- new version

* Mon Sep 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-1mdk
- from Laurent Grawet <laurent.grawet@ibelgique.com> :
	- Updated to 1.1.6 stable

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.1.6-0.20020723.3mdk
- Rebuild with gcc3.2

* Tue Jul 30 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-0.20020723.2mdk
- gcc 3.2 build

* Tue Jul 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1.6-0.20020723.1mdk
- don't require pccts anymore, it's included
- clean rpmlint warnings
- ENABLE_NLS to make it build
- tiny gcc 3.1.1 build patch
- cvs snapshot
- all png icons

* Thu Jan 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-6mdk
- rebuild against new pccts

* Tue Sep 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.5-5mdk
- Fix files permissions (will fix menu error messages)

* Mon Sep 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-4mdk
- Changes from Marcel Pol <mpol@gmx.net> :
	- add BuildRequires pccts
	- used --disable-gtkmmtest with configure
	- add package gcdmaster
	- add menu-entry for gcdmaster

* Thu Jun 28 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-3mdk
- rebuild

* Fri May 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-2mdk
- fixes from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	- Add missing file %{_datadir}/%{name}/drivers
	- Use macros
	- Requires: common-licenses so that COPYING doesn't have to be included
	- Updated %%doc files
	- Cleaned up SPEC
	- Sadly without xdao - gtkmm doesn't seem to work here :/
	- Updated URL

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- updated to 1.1.5

* Mon Apr 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- udpated to 1.1.4

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-2mdk
- fix group

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.3-1mdk
- mandrake build
- v1.1.3
- deactivate creation of an xcdrdao rpm

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.1.0-1]
- Changes 1.1.0: 
- Added data track support to generic-mmc driver. 
- Added Henk-Jan Slotboom's driver for Taiyo-Yuden recorders. 
- Created driver for the Teac CD-R55S recorder. Data tracks should be
  supported, too, but it is not well tested. 
- Added Cam MacKinnon's driver for the Yamaha CDR10x drive family. Data
  track support is available, too, but also not well tested. 
- Added Leon Woestenberg's bitwise-exact digital audio extraction patch
  for Plextor drives (see README.PlexDAE). 
- read-toc will analyze mixed mode CDs now, but it is currently not perfect.
  Please have a look at the README. 
- Fixed failed assertion problems with 'read-toc' that occured when the
  raw P-W sub-channel data passed the CRC check but was actually not
  consistent (happened quiet often with Teac CD-ROM CD-532S drives). 
- The SCSI interface can now use Joerg Schilling's SCSI library. Cdrdao
  is reported to work on Solaris 2.6 and FreeBSD using the SCSI library.
  Max Khon provided an independent SCSI interface implementation for FreeBSD
  which can be selected when configuring. 
- Added experimental CD-TEXT support to 'read-toc'. 
- Updated xcdrdao source to compile with Gtk-- 0.99.1. 


* Sun Jan 30 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.011-1]
- Changes 1.011:
- Fixed xcdrdao compilation errors with recent Gtk-- library
    (version 0.11.1). It won't compile with Gtk-- 0.9.14 anymore.
- Fixed driver detection for Panasonic CW-7582 which actually
    identifies as MATSHITA CW-7582.

* Mon Jan 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.010-1]
- Changes 1.010: 
- Michael Weber added on-the-fly writing support.
  See http://www.ping.de/sites/daneb/example.html#on-the-fly for usage. 
- Radek Doulik added improved ring buffer code. The number of
  buffers can be set with the --buffers option. 
- Added driver selection for Matshita/Panasonic CW-7502,
  Mitsumi CR-4801, Panasonic CW-7582, Traxdata CDRW4260,
  BTC BCE621E and Philips OMNIWRITER2. 
- The source code distribution contains a very early version of
  the Gtk-- based GUI xcdrdao. Of course, cdrdao can still be built
  without the Gtk-- libraries. At this early stage xcdrdao can be
  mainly used to edit existing toc-files. It is possible to create,
  edit or remove track/index marks and pre-gaps. Xcdrdao comes
  without any documentation. 
- Xcdrdao is 'NOT' included in this RPM because it would not build
  with gtk-- version 0.11.1

* Fri Dec 11 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.09-2]
- Building with my newly built pccts-1.33mr16 RPM installed

* Thu Dec 10 1998 Ryan Weaver <ryanw@infohwy.com>
  [cdrdao-1.09-1]
- First RPM
- Changes 1.09: 
  HP CD-Writer+ 8100 is supported now.
  Added more toc-file consistency checks so that you know now
    why the CDD2x00 refuses to record the CD-R.
  Driver selection for MEMOREX CRW-1662/CR-622/CD-233E and
    PHILIPS CDD3600.
  Warning: This version won't refuse to record with the Panasonic
    CW-7502 anymore but the resulting disk is not very useful. It'll
    contain only one long track.

